> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear Widgets

> Crea widgets en Jelou y personaliza su configuración visual y de comportamiento.



## OpenAPI

````yaml /api/openapi.json post /v1/widget/create
openapi: 3.1.0
info:
  title: Jelou API
  description: >-
    API for the Jelou platform. Send messages, manage campaigns, handle
    conversations, users, databases, and widgets.
  version: 1.0.0
servers:
  - url: https://api.jelou.ai
    description: Production server
security:
  - basicAuth: []
tags:
  - name: Messages
    description: Send messages to users
  - name: Campaigns
    description: HSM campaigns and templates
  - name: Conversations
    description: Chat history and metrics
  - name: Users
    description: User state and cache management
  - name: Resources
    description: Media resource management
  - name: Datum
    description: Database CRUD operations
  - name: Widget
    description: Widget and room management
  - name: PMA Custom
    description: External support panel integration
paths:
  /v1/widget/create:
    post:
      tags:
        - Widget
      summary: Crear Widgets
      description: >-
        Crea widgets en Jelou y personaliza su configuración visual y de
        comportamiento.
      operationId: Crear widget
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWidgetRequest'
      responses:
        '200':
          description: Widget created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWidgetResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CreateWidgetRequest:
      type: object
      required:
        - bot
        - widget
      properties:
        bot:
          type: object
          properties:
            id:
              type: string
        widget:
          type: object
          properties:
            properties:
              type: object
            theme:
              type: object
        credentials:
          type: object
          properties:
            blackList:
              type: array
              items:
                type: string
            whiteList:
              type: array
              items:
                type: string
    CreateWidgetResponse:
      type: object
      properties:
        message:
          type: array
          items:
            type: string
        statusMessage:
          type: string
        status:
          type: integer
        data:
          type: object
          properties:
            Bot:
              type: object
            Widget:
              type: object
            ApiKey:
              type: object
    Error:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        statusMessage:
          type: string
        status:
          type: integer
        error:
          type: object
          properties:
            code:
              type: string
            key:
              type: string
            description:
              type: string
            developerMessages:
              type: object
            clientMessages:
              type: object
        validationError:
          type: object
  responses:
    Unauthorized:
      description: Unauthorized - Invalid authentication credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication using Base64 encoded clientId:clientSecret

````